For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
              • GETGet Locale Settings
              • PUTUpdate Locale Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementSettingsStore Locale

Get Locale Settings

GET
https://api.bigcommerce.com/stores/:store_hash/v3/settings/store/locale
GET
/stores/:store_hash/v3/settings/store/locale
$curl https://api.bigcommerce.com/stores/store_hash/v3/settings/store/locale \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
1{
2 "data": {
3 "default_shopper_language": "en",
4 "shopper_language_selection_method": "default_shopper_language",
5 "store_country": "United States"
6 },
7 "meta": {}
8}

Returns global locale settings.

For stores with Catalyst channels, the shopper_language_selection_method field is deprecated. Using this endpoint on those stores will return a warning about the deprecation. For additional information, refer to Locale Configuration.

Was this page helpful?
Previous

Upsert Contextual Filters

Next

Update Locale Settings

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

NOTE: Analytics endpoints require the Content (store_v2_content and store_v2_content_read_only) OAuth scope.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

dataobject
The basic locale settings for a store, used to give shopper information about languages, countries, etc.
metaobject
Response metadata.